build:
  stage: build
  image: registry.gitlab.com/functori/dev/docker-images/opam-npm-debian:latest
  cache:
    paths :
      - _opam/
  script:
    - if [ ! -d _opam ]; then opam switch create --no-install . ocaml-system; fi
    - eval $(opam env)
    - make dev-deps
    - make import
    - make dev
    - make copy-doc
  artifacts:
    paths:
      - public
  only:
    - master
    - merge_requests

pages:
  stage: deploy
  script:
    - echo "deploy pages"
  artifacts:
    paths:
      - public
  only:
    - master
